summaryrefslogtreecommitdiff
path: root/net-im/prosody/files/prosody.initd
diff options
context:
space:
mode:
Diffstat (limited to '')
-rw-r--r--net-im/prosody/files/prosody.initd46
1 files changed, 46 insertions, 0 deletions
diff --git a/net-im/prosody/files/prosody.initd b/net-im/prosody/files/prosody.initd
new file mode 100644
index 0000000..02a1fdc
--- /dev/null
+++ b/net-im/prosody/files/prosody.initd
@@ -0,0 +1,46 @@
+#!/sbin/runscript
+# Copyright 1999-2004 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/net-im/prosody/files/prosody.initd,v 1.1 2010/05/27 11:47:12 djc Exp $
+
+description="Prosody is a server for Jabber/XMPP written in Lua."
+description_reload="Reload configuration and reopen log files."
+extra_started_commands="reload"
+
+PIDFILE="/var/run/jabber/prosody.pid"
+USER="jabber"
+COMMAND="/usr/bin/prosody"
+
+depend() {
+ use dns
+ need net
+ provide jabber-server
+}
+
+checkconfig() {
+ if [ ! -e /etc/jabber/prosody.cfg.lua ] ; then
+ eerror "You need a /etc/jabber/prosody.cfg.lua file to run prosody"
+ return 1
+ fi
+}
+
+start() {
+ checkconfig || return 1
+ ebegin "Starting Prosody XMPP Server"
+ start-stop-daemon --start -b --pidfile ${PIDFILE} \
+ --make-pidfile --user ${USER} --exec ${COMMAND}
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping Prosody XMPP Server"
+ start-stop-daemon --stop --pidfile ${PIDFILE} \
+ --user ${USER} --exec ${COMMAND}
+ eend $?
+}
+
+reload() {
+ ebegin "Reloading configuration of Prosody XMPP Server"
+ start-stop-daemon --pidfile ${PIDFILE} --signal HUP
+ eend $?
+}
=1'>Implemented the mail sendingRené 'Necoro' Neumann2-3/+63 2008-06-22First mail window draftRené 'Necoro' Neumann3-0/+220 2008-06-10Added gpytage pluginRené 'Necoro' Neumann2-0/+29 2008-06-10Modified plugin.xsd so it allows also menu-only pluginsRené 'Necoro' Neumann2-7/+8 2008-06-10Fixed the default handlingRené 'Necoro' Neumann1-1/+1 2008-06-10Allowed default for session; load 'app-portage/portato' as default for select...René 'Necoro' Neumann2-10/+18 2008-06-09Fixed 'kill' in the systray popupRené 'Necoro' Neumann1-2/+2 2008-06-09Fixed error messageRené 'Necoro' Neumann2-4/+1 2008-06-08Make blocks way more intelligentRené 'Necoro' Neumann3-45/+107